package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: GenerateApiSignReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:33
 */
@Data
public class GenerateApiSignReq {
    private String appId;
    private String appKey;

    private static final GenerateApiSignReq obj = new GenerateApiSignReq();
    public static GenerateApiSignReq getNew() {
        try {
            return (GenerateApiSignReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GenerateApiSignReq();
        }
    }
}
